Want to Join Us ?

you'll be able to discuss, share and send private messages.

Python IDA Plugin DIE Dynamic IDA Enrichment

Discussion in 'Plugins' started by storm shadow, Jun 20, 2015.

Share This Page

  1. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    I think its a bug within ida,the stuff is there in python 6.6.
    just dont get loaded right.
     
  2. steve007iii

    Active Member

     
    Last edited by a moderator: Jul 13, 2015
  3. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    just delete the folder and reinstall it with

    pip install git://github.com/networkx/networkx.git#egg=networkx

    rermemberr to have git installed https://msysgit.github.io/
     
  4. schrodinger

    Member

    I didn't manage to get the patch, the author was stating in the plugin issues section
     
  5. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    patch is only for 6.7 and up
     
  6. schrodinger

    Member

    did u manage to get it working on the 6.7 modded version you have?
    Anyway, I hope you come up with solution soon.
     
  7. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    it work on that version with no issues
     
    m4n0w4r likes this.
  8. schrodinger

    Member

  9. RiverDave

    New Member

    I'm trying to install DIE in IDA pro 7 but due to pyside dependency I'm getting error, please help me get working on IDA 7

    C:\Program Files\IDA 7.0\plugins\die_proxy.py: No module named PySide
    Traceback (most recent call last):
    File "C:\Program Files\IDA 7.0\python\ida_idaapi.py", line 553, in IDAPython_ExecScript
    execfile(script, g)
    File "C:/Program Files/IDA 7.0/plugins/die_proxy.py", line 13, in <module>
    plugin = imp.load_source(__name__, plugin_path)
    File "C:\Users\admin\Documents\IDA Plugins\DIE-master\DIE-master\DIE.py", line 24, in <module>
    import DIE.UI.BPView
    File "C:\Users\admin\Documents\IDA Plugins\DIE-master\DIE-master\DIE\UI\__init__.py", line 3, in <module>
    from PySide import QtCore
    ImportError: No module named PySide
    IDAPython Hex-Rays bindings initialized.
    C:\Program Files\IDA 7.0\plugins\die_proxy.py:
    Importing PySide disabled by QtConsole, which has
    already imported an incompatible Qt Binding: pyqt5

    Traceback (most recent call last):
    File "C:\Program Files\IDA 7.0\python\ida_idaapi.py", line 553, in IDAPython_ExecScript
    execfile(script, g)
    File "C:/Program Files/IDA 7.0/plugins/die_proxy.py", line 13, in <module>
    plugin = imp.load_source(__name__, plugin_path)
    File "C:\Users\admin\Documents\IDA Plugins\DIE-master\DIE-master\DIE.py", line 24, in <module>
    import DIE.UI.BPView
    File "C:\Users\admin\Documents\IDA Plugins\DIE-master\DIE-master\DIE\UI\__init__.py", line 3, in <module>
    from PySide import QtCore
    File "C:\Python27\lib\site-packages\qtconsole\qt_loaders.py", line 63, in load_module
    """ % (fullname, loaded_api()))
    ImportError:
    Importing PySide disabled by QtConsole, which has
    already imported an incompatible Qt Binding: pyqt5
     
  10. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    @RiverDave
    The plugin is so old that it uses PySide instead of PyQt5.
    You can try in __init__.py to add line at very begining
    import PyQt5 as PySide.
     
  11. RiverDave

    New Member

    I am new to IDA and this plugins stuff can you please guide in detail how to do it or if there is post of how to plese direct me to it.
     
Top